Skip to main content
POST
/
specializedScraper
Scrape using specialized scrapers
curl --request POST \
  --url https://api.parcha.ai/api/v1/specializedScraper \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "take_screenshot": false,
  "scrape_pdfs": false
}
'
{
  "status": "<string>",
  "data": {},
  "error": "<string>",
  "scraper_type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Body

application/json
url
string
required
take_screenshot
boolean
default:false
scrape_pdfs
boolean
default:false

Response

200 - application/json

Scraping successful

status
string
data
object
error
string
scraper_type
string